Coinbase

Author Topic: Error While Installing - Fatal error: packageinstall() [function.require]  (Read 3576 times)

0 Members and 1 Guest are viewing this topic.

Offline c0ld_bug

  • Jr. Member
  • **
  • Posts: 13
    • Email
Fatal error: packageinstall() [function.require]: Failed opening required '/home/user/domains/domain.com/public_html/forum/Packages/temp/./install.php' (include_path='.:/usr/local/lib/php') in /home/user/domains/domain.com/public_html/forum/Sources/Packages.php on line 552


Any way to fix this?

Offline bigguy

  • Support
  • Elite Member
  • *
  • Posts: 1518
    • SMF Helper
Check to make sure you have the "Packages" Folder chmodded to 777. Also check to see if there is a "temp" folder inside it, if not create one and chmod it to 777.

You might get more help with this error at www.simplemachines.org

Offline c0ld_bug

  • Jr. Member
  • **
  • Posts: 13
    • Email
It only does this with Ad Management mod.  Packages folder was set to 777, created a temp folder and made it 777.


Any other ideas?

Offline jerm

  • Support
  • Elite Member
  • *
  • Posts: 726
Anything in the error log?

Offline c0ld_bug

  • Jr. Member
  • **
  • Posts: 13
    • Email
Anything in the error log?

Not that I have seen.  The problem I am having now is the package installed but it is not showing up anywhere.  And I cannot uninstall either.  Is there anyway I can just reinstall my forum and try again?


TIA,
c0ld_bug

Offline c0ld_bug

  • Jr. Member
  • **
  • Posts: 13
    • Email
Topic solved.

I reset permissions on all of my forums to 777.  Installed mods, then reset permissions on all files and folders.  Good thing is mods still install after permissions were reset back.  Something was screwed up there but its working now.

Thanks to everyone for their help.


c0ld_bug

SMF Ads Support Forum

.